wifi8 2.0.0.0

Data Fields
wifi8_m2m_provision_info_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | au8ssid [M2M_MAX_SSID_LEN]
uint8_t | au8_password [M2M_MAX_PSK_LEN]
uint8_t | u8_sec_type
uint8_t | u8_status

## Field Documentation

## ◆ au8_password

uint8_t au8_password[M2M_MAX_PSK_LEN]

provisioned password.

## ◆ au8ssid

uint8_t au8ssid[M2M_MAX_SSID_LEN]

provisioned ssid.

## ◆ u8_sec_type

uint8_t u8_sec_type

wifi security type.

## ◆ u8_status

uint8_t u8_status

provisioning status. to be checked before reading the provisioning information. it may be

- wifi8_ok : provision successful.
- m2m_fail : provision failed.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h